Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util.urlhandler
Class HandlerFactory

    java.lang.Object
      |
      +--org.openorb.util.urlhandler.HandlerFactory

All Implemented Interfaces:
  java.net.URLStreamHandlerFactory

public class HandlerFactory
extends java.lang.Object
implements java.net.URLStreamHandlerFactory

This is the factory class to create a custom URL stream handler.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:06 $
Author:
  Chris Wood

Constructor Summary
`HandlerFactory()`

Method Summary
`java.net.URLStreamHandler` | `createURLStreamHandler(java.lang.String p)` Returns a URLStreamHandler instance when the parameter was equal to "classpath".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerFactory

    public HandlerFactory()

Method Detail

### createURLStreamHandler

    public java.net.URLStreamHandler createURLStreamHandler(java.lang.String p)

  Returns a URLStreamHandler instance when the parameter was equal to "classpath".
  Specified by:
    `createURLStreamHandler` in interface `java.net.URLStreamHandlerFactory`
  Parameters:
    `p` - A string specifying the stream handler to create.
  Returns:
    A stream handler instance when the parameter p is equal to "classpath" or null otherwise.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD